use rust_mc_proto_tokio::{DataReader, DataWriter, MCConnTcp, Packet, ProtocolError};

#[tokio::main]
async fn main() -> Result<(), ProtocolError> {
    let mut conn = MCConnTcp::connect("localhost:25565").await?; // connecting

    let mut packet = Packet::empty(0x00);
    packet.write_u16_varint(765).await?; // protocol_version
    packet.write_string("localhost").await?; // server_address
    packet.write_unsigned_short(25565).await?; // server_port
    packet.write_u8_varint(1).await?; // next_state
    conn.write_packet(&packet).await?;

    conn.write_packet(&Packet::empty(0x00)).await?; // status request packet

    Ok(println!("motd: {}", conn.read_packet().await?.read_string().await?)) // status response packet
}
